{application, ethbridge,
 [
  {description, "Ethernet bridge"},
  {vsn, "1.0"},
  {id, "Ethernet bridge FOO"},
  {modules, [
	     ethbridge,
	     ethbridge_sup,
	     ethbr_center,
	     ethbr_iface_sup
	    ]
   },
   {registered, [ xxxXXXYYYXXX_update_this_list ] },
   %% NOTE: do not list applications which are load-only!
   {applications, [ kernel, stdlib, sasl ] },
   {env, [
	  {key0, val0}, {key00, val00}, % This line just for demo purposes
	  {interfaces, [
			{interface, "rl0", "icmp or ether broadcast or ether multicast or arp or rarp", [no_tx_pkts]} %% ,
%% Linux, 1 interface
%%			{interface, "eth0", "icmp or ether broadcast or ether multicast or arp or rarp", [no_tx_pkts]}%% ,
%% Tree's two interfaces
%%			{interface, "dc0", "icmp or ether broadcast or ether multicast or arp or rarp", [no_tx_pkts]}%% ,
%%			{interface, "xl0", "icmp or ether broadcast or ether multicast or arp or rarp", [no_tx_pkts]}%% ,
                        %%{interface, "lo0", "", [no_tx_pkts]}
                       ]},
	  {key000, val000}]},
   {mod, {ethbridge, [{bridge_name, "ethapp"},
		      {these_defaults_from, 'ethbridge.app'},
		      {interfaces_from, env}]}}
  ]
}.
