
-module(gd1_test).
-define(DRV, gd1_drv).

-export([regression/0]).

regression() ->
    {ok, Port} = ?DRV:start(),
    {ok, 1} = ?DRV:debug(Port, 1),
    short_example(Port),
    io:format("All regression tests PASSED.\n"),
    ok.

% Not really a regression test, but rather a direct translation of
% "Here is a short example program" found in "readme.txt" in GD's 
% source distribution.
short_example(Port) ->
    {ok, IM} = ?DRV:gdImageCreate(Port, 64, 64),
    % Doesn't work! {error, 0} = ?DRV:gdImageCreate(Port, -1, -2),
    ok.
