
-module(gd1_test).
-define(DRV, gd1_drv).

-export([regression/0]).

regression() ->
    {ok, Port} = ?DRV:start(),
    {ok, 1} = ?DRV:debug(Port, 1),
    short_example(Port),
    io:format("All regression tests PASSED.\n"),
    ok.

% Not really a regression test, but rather a direct translation of
% "Here is a short example program" found in "readme.txt" in GD's 
% source distribution.
short_example(Port) ->
    % Doesn't work, no error checking done by gdImageCreate()!
    % {error, 0} = ?DRV:gdImageCreate(Port, -1, -2),
    {ok, IM} = ?DRV:gdImageCreate(Port, 64, 64),

    {ok, Black} = ?DRV:gdImageColorAllocate(Port, IM, 0, 0, 0),
    {ok, White} = ?DRV:gdImageColorAllocate(Port, IM, 255, 255, 255),

    ok = ?DRV:gdImageLine(Port, IM, 0, 0, 63, 63, White),
    
    ok.
