
-module(simple0_test).
-define(DRV, simple0_drv).

-export([regression/0]).

regression() ->
    {ok, Port} = ?DRV:start(),
    %% {ok, 1} = ?DRV:debug(Port, 1),
    ok = r1(Port),
    io:format("All regression tests PASSED.\n"),
    ok.

r1(P) ->

    S1 = 10,
    io:format("\n\n VM will freeze ... sleep(~w) ...", [S1]),
    {ok, _} = ?DRV:sleep(P, S1),
    io:format("\n\n VM should be responsive to Control-g ... asleep(~w) ...", [S1]),
    {ok, _} = ?DRV:asleep(P, S1),

    S2 = 15,
    io:format("\n\n VM will freeze ... sleep(~w) ...", [S2]),
    {ok, _} = ?DRV:sleep(P, S2),
    io:format("\n\n VM should be responsive to Control-g ... asleep(~w) ...", [S2]),
    {ok, _} = ?DRV:asleep(P, S2),

    ok.

