
%% Interface state record, for use by ethbr_center

-record(iface, {
	  name,					% string
	  bpf_prog = "",			% string|""
	  options = [],				% list of {Key, Value}
	  local = false,			% true|false if local interface
	  rx_pid,				% Pid if mine, else undefined
	  tx_pid,				% Tx pid (really port)
	  tx_link				% Tx link descriptor
	 }).

%% External interface description, for documentation purposes only

-record(interface, {
	  interface_name,			% string
	  bpf_program,				% string
	  option_list				% list
	  %% Valid options:
	  %%   no_tx_pkts ... libpcap option: don't capture locally
	  %%                  transmitted packets
	 }).
